aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-xds-rsync-download-changeid.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common/include-xds-rsync-download-changeid.sh')
-rw-r--r--jjb/common/include-xds-rsync-download-changeid.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/jjb/common/include-xds-rsync-download-changeid.sh b/jjb/common/include-xds-rsync-download-changeid.sh
new file mode 100644
index 00000000..c8e341a5
--- /dev/null
+++ b/jjb/common/include-xds-rsync-download-changeid.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+#set -x
+set -e
+
+echo -e "\n\n\n"
+echo "#########################################"
+echo -e "\n\n\n"
+
+export RSYNCDST="/srv/download/AGL/upload/ci/${GERRIT_CHANGE_NUMBER}/${GERRIT_PATCHSET_NUMBER}/"
+export RSYNCSRC=$(pwd)/UPLOAD/*
+LANG=C tree $RSYNCSRC
+ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${RSYNCDST}
+rsync -avr --inplace -L -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC jenkins-slave@10.30.72.8:$RSYNCDST